## org.eclipse.datatools.sqltools.result.internal.ui.view
Class ParameterViewerDescriptor

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.view.ParameterViewerDescriptor

    public class ParameterViewerDescriptor

extends java.lang.Object

Describes a parameter table viewer

Author:
  Chetan Bhatia

Constructor Summary
`ParameterViewerDescriptor(ExternalParameterViewerProvider viewer, java.lang.String vendor, java.lang.String viewerID, java.lang.String defaultViewerName)`

Method Summary
`java.lang.String` `getDefaultViewer()` gets the default viewer
`java.lang.String` `getVendor()` Gets the database vendor
`java.lang.String` `getViewerID()` Gets the viewer name
`ExternalParameterViewerProvider` `getViewerProvider()` Gets the parameter table viewer provider
`void` `setDefaultViewer(java.lang.String defaultViewer)` Sets the default viewer
`void` `setVendor(java.lang.String vendor)` Sets the database vendor
`void` `setViewerID(java.lang.String viewerID)` Sets the viewer name
`void` `setViewerProvider(ExternalParameterViewerProvider viewerProvider)` Sets the parameter table viewer

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterViewerDescriptor

    public ParameterViewerDescriptor(ExternalParameterViewerProvider viewer,
                                     java.lang.String vendor,
                                     java.lang.String viewerID,
                                     java.lang.String defaultViewerName)

Parameters:
  `viewer` - the parameter viewer provider
  `vendor` - the vendor name
  `viewerID` - display viewer id for this viewer
  `defaultViewerName` - the default viewer

Method Detail

### getViewerProvider

    public ExternalParameterViewerProvider getViewerProvider()

  Gets the parameter table viewer provider

  Returns:
    the parameter table viewer provider

### setViewerProvider

    public void setViewerProvider(ExternalParameterViewerProvider viewerProvider)

  Sets the parameter table viewer

  Parameters:
    `viewer` - the parameter table viewer provider

### getVendor

    public java.lang.String getVendor()

  Gets the database vendor

  Returns:
    the database vendor

### setVendor

    public void setVendor(java.lang.String vendor)

  Sets the database vendor

  Parameters:
    `vendor` - the database vendor

### getViewerID

    public java.lang.String getViewerID()

  Gets the viewer name

  Returns:
    the name of the viewer

### setViewerID

    public void setViewerID(java.lang.String viewerID)

  Sets the viewer name

  Parameters:
    `name` - the name of the viewer

### getDefaultViewer

    public java.lang.String getDefaultViewer()

  gets the default viewer

  Returns:
    the name of the default viewer

### setDefaultViewer

    public void setDefaultViewer(java.lang.String defaultViewer)

  Sets the default viewer

  Parameters:
    `viewer` - the default viewer name